Subject: bug#25004: Bug in OD utility

From: Pádraig Brady <[email-masked]>
Date: Thu, 24 Nov 2016 01:55:43 +0000

On 24/11/16 01:16, Marcel Böhme wrote:
> Hi Pádraig,
> 
>> On 24 Nov 2016, at 8:45 AM, Pádraig Brady <[email-masked]> wrote:
>>
>> I can't reproduce the issue here BTW with ASAN and running in a tight
>> loop for a few minutes.  So perhaps it has been fixed in glibc already?
>> I have glibc-2.22-10.fc23.x86_64
>> Depending on how widespread the issue is will determine if it's worth
>> adding the check to gnulib.
> 
> I can reproduce the crash on Ubuntu 14.04 x86_64 with preinstalled od version 8.21 and the version in trunk.
> 
>> What libc are you using?
> 
> $ /lib/x86_64-linux-gnu/libc.so.6
> GNU C Library (Ubuntu EGLIBC 2.19-0ubuntu6.9) stable release version 2.19, by Roland McGrath et al.
> Copyright (C) 2014 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.
> There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
> PARTICULAR PURPOSE.
> Compiled by GNU CC version 4.8.4.
> Compiled on a Linux 3.13.11 system on 2016-05-26.
> Available extensions:
> 	crypt add-on version 2.1 by Michael Glad and others
> 	GNU Libidn by Simon Josefsson
> 	Native POSIX Threads Library by Ulrich Drepper et al
> 	BIND-8.2.3-T5B
> libc ABIs: UNIQUE IFUNC
> For bug reporting instructions, please see:
> <https://bugs.launchpad.net/ubuntu/+source/eglibc/+bugs>.

For completeness, where we discussed the this in relation to gnulib last was:
  https://sourceware.org/ml/libc-alpha/2015-02/threads.html#00181
and drilling down to there is the reference to original crash bug:
  https://sourceware.org/bugzilla/show_bug.cgi?id=4586
That was fixed in 2007 so this must be something else.

thanks,
Pádraig